ここから本文です

「macOS High Sierra」管理者権限に重大な脆弱性、JPCERTが対策を呼び掛け

12/1(金) 8:05配信

@IT

 JPCERT コーディネーションセンター(以下、JPCERT/CC)は2017年11月29日、Appleの最新OSである「macOS High Sierra 10.13.1」の設定に関するセキュリティの脆弱(ぜいじゃく)性について注意を促した。

 この問題は、「ルートユーザーを無効する」に設定している場合、管理者権限を持つrootアカウントにユーザー名「root」と入力するだけで、パスワードなしでログインできてしまうというもの。悪意のあるユーザーが管理者権限を乗っ取り、悪用できてしまう危険性が指摘されていた。

 問題の原因は、資格情報の検査ロジックにあったバグとされている。Appleは、2017年11月29日(米国時間)の時点で、脆弱性「CVE-2017-13872」として関連情報を公開。最新のセキュリティアップデートを提供している。なお、この問題は、macOS Sierra 10.12.6以前では発生しない。

 JPCERT/CCは、ユーザーに対してAppleによるセキュリティアップデートの適用を推奨し、適用後にはこの問題が発生しないことを確認したという。また、「ルートユーザーのパスワードを適切に設定することでもこの問題を回避できる」と説明している。

 最新のセキュリティアップデートを適用すると、macOSのビルド番号は「17B1003」になる。Appleは、いったんセキュリティアップデートを公開し、適用後のビルド番号を「17B1002」としていたが、適用後にファイル共有の不具合が見つかり、その修正を加えたアップデートを改めて公開した。

最終更新:12/1(金) 8:05
@IT